# STEPConstruct_Styles.hxx File Reference

`#include <TColStd_IndexedDataMapOfTransientTransient.hxx>`
`#include <TColStd_SequenceOfTransient.hxx>`
`#include <STEPConstruct_Tool.hxx>`
`#include <Handle_XSControl_WorkSession.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_StepVisual_StyledItem.hxx>`
`#include <Handle_StepRepr_RepresentationItem.hxx>`
`#include <Handle_StepVisual_PresentationStyleAssignment.hxx>`
`#include <Handle_StepRepr_RepresentationContext.hxx>`
`#include <Handle_StepVisual_MechanicalDesignGeometricPresentationRepresentation.hxx>`
`#include <Handle_StepShape_ContextDependentShapeRepresentation.hxx>`
`#include <Handle_StepRepr_ProductDefinitionShape.hxx>`
`#include <Handle_TColStd_HSequenceOfTransient.hxx>`
`#include <Handle_StepVisual_Colour.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`